%{?mingw_package_header}

Name:           mingw-harfbuzz
Version:        1.2.7
Release:        %mkrel 2
Summary:        MinGW Windows Harfbuzz library

License:        MIT
Group:          Development/Other
URL:            http://www.harfbuzz.org
Source0:        http://www.freedesktop.org/software/harfbuzz/release/harfbuzz-%{version}.tar.bz2

# Allow the freetype dependency to be optional at runtime
Patch0:         harfbuzz-enable-delayload-freetype.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-glib2
BuildRequires:  mingw32-freetype
BuildRequires:  mingw32-cairo
BuildRequires:  mingw32-icu

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-glib2
BuildRequires:  mingw64-freetype
BuildRequires:  mingw64-cairo
BuildRequires:  mingw64-icu

# Needed for the delay-load patch
BuildRequires:  mingw-w64-tools
BuildRequires:  autoconf automake libtool


%description
HarfBuzz is an implementation of the OpenType Layout engine.


# Win32
%package -n mingw32-harfbuzz
Summary:        MinGW Windows Harfbuzz library

%description -n mingw32-harfbuzz
HarfBuzz is an implementation of the OpenType Layout engine.

%package -n mingw32-harfbuzz-static
Summary:        Static version of the MinGW Windows Harfbuzz library
Requires:       mingw32-harfbuzz = %{version}-%{release}
Requires:       mingw32-glib2-static

%description -n mingw32-harfbuzz-static
Static version of the MinGW Windows Harfbuzz library.

# Win64
%package -n mingw64-harfbuzz
Summary:        MinGW Windows Harfbuzz library

%description -n mingw64-harfbuzz
HarfBuzz is an implementation of the OpenType Layout engine.

%package -n mingw64-harfbuzz-static
Summary:        Static version of the MinGW Windows Harfbuzz library
Requires:       mingw64-harfbuzz = %{version}-%{release}
Requires:       mingw64-glib2-static

%description -n mingw64-harfbuzz-static
Static version of the MinGW Windows Harfbuzz library.


%{?mingw_debug_package}


%prep
%setup -q -n harfbuzz-%{version}
%patch0 -p1
autoreconf -i --force


%build
%mingw_configure --enable-shared --enable-static --enable-delay-load
%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


# Win32
%files -n mingw32-harfbuzz
%license COPYING
%{mingw32_bindir}/hb-ot-shape-closure.exe
%{mingw32_bindir}/hb-shape.exe
%{mingw32_bindir}/hb-view.exe
%{mingw32_bindir}/libharfbuzz-0.dll
%{mingw32_bindir}/libharfbuzz-icu-0.dll
%{mingw32_includedir}/harfbuzz/
%{mingw32_libdir}/libharfbuzz.dll.a
%{mingw32_libdir}/libharfbuzz-icu.dll.a
%{mingw32_libdir}/pkgconfig/harfbuzz.pc
%{mingw32_libdir}/pkgconfig/harfbuzz-icu.pc

%files -n mingw32-harfbuzz-static
%{mingw32_libdir}/libharfbuzz.a
%{mingw32_libdir}/libharfbuzz-icu.a

# Win64
%files -n mingw64-harfbuzz
%license COPYING
%{mingw64_bindir}/hb-ot-shape-closure.exe
%{mingw64_bindir}/hb-shape.exe
%{mingw64_bindir}/hb-view.exe
%{mingw64_bindir}/libharfbuzz-0.dll
%{mingw64_bindir}/libharfbuzz-icu-0.dll
%{mingw64_includedir}/harfbuzz/
%{mingw64_libdir}/libharfbuzz.dll.a
%{mingw64_libdir}/libharfbuzz-icu.dll.a
%{mingw64_libdir}/pkgconfig/harfbuzz.pc
%{mingw64_libdir}/pkgconfig/harfbuzz-icu.pc

%files -n mingw64-harfbuzz-static
%{mingw64_libdir}/libharfbuzz.a
%{mingw64_libdir}/libharfbuzz-icu.a




%changelog
* Sat May 14 2016 shlomif <shlomif> 1.2.7-2.mga6
+ Revision: 1015284
- Rebuild for the new UCI (new major)

* Wed May 11 2016 tv <tv> 1.2.7-1.mga6
+ Revision: 1012739
- new release

* Tue Apr 05 2016 tv <tv> 1.1.3-1.mga6
+ Revision: 998671
- new release
- new release

* Fri Feb 05 2016 umeabot <umeabot> 0.9.20-4.mga6
+ Revision: 939042
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.20-3.mga5
+ Revision: 743844
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.20-2.mga5
+ Revision: 682459
- Mageia 5 Mass Rebuild

* Sat Oct 26 2013 neoclust <neoclust> 0.9.20-1.mga4
+ Revision: 547031
- imported package mingw-harfbuzz

